summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-18 04:16:47 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-18 04:52:39 +0100
commitb3bf73e7493ee5b8b66a2a2ceaa302fb1599369a (patch)
tree0fae9911e11060278859857e1c16a0b9318e8e07 /dev-python
parent29a98b772f9f1651aa1117e947aa53fb267ebe15 (diff)
downloadgentoo-b3bf73e7493ee5b8b66a2a2ceaa302fb1599369a.tar.gz
gentoo-b3bf73e7493ee5b8b66a2a2ceaa302fb1599369a.tar.bz2
gentoo-b3bf73e7493ee5b8b66a2a2ceaa302fb1599369a.zip
dev-python/pytest-env: Bump to 1.5.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pytest-env/Manifest2
-rw-r--r--dev-python/pytest-env/pytest-env-1.5.0.ebuild38
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/pytest-env/Manifest b/dev-python/pytest-env/Manifest
index e96c1460a0f2..67449ecdc6dd 100644
--- a/dev-python/pytest-env/Manifest
+++ b/dev-python/pytest-env/Manifest
@@ -1,3 +1,5 @@
DIST pytest_env-1.2.0.tar.gz 8973 BLAKE2B d7ce810c44090d6b45e045ec765d9d560b5f257f0cb020d61875744331dd3a798cbe13fca2bb126beebfb765c0bd76019f2b09d6cb7e1ee34bfd4ea8ff65d94d SHA512 b7848196b2417871c976aed54751f5dc46c59e5a0bebe2d5c3d2801e80aa95b06eb5e9a90afba2bdddbc831fc1612cdc9a7fe74b32710035a37949701dd2d316
DIST pytest_env-1.3.2.tar.gz 12009 BLAKE2B 942a34fc9ca86ec6aaa5ec3716bfe6f4f93c9d80681d92da8163f827d1f443b785c3b64291523c8763cb174a8696e5bc106b984fbb1f109d1aad61d9a9f777c6 SHA512 c2c9937bb6171b41534fae199e61b1be1e4952e737bf831aac1e481104d04ddda6c5e50e14bb6682c9f60ff6f727f660c5cd0ac96a467cafebbf445ef3f78a5b
DIST pytest_env-1.3.2.tar.gz.provenance 9278 BLAKE2B 939265bafde103b1b9d3a959a46c8d4daf2b4ad068374303de5c9de12fbced5b670a30a08e2ae6d5625909a07708034aaf34ea4484cec72719a1c11df25fa264 SHA512 7d2f1541090a4f47c4b48d591a24b647612088118bc9beacc2768673bd93c4ee86b229f4c12748f7b2cdf5f39d0d61b575efa80b3510f20287f1c80ec3659878
+DIST pytest_env-1.5.0.tar.gz 15271 BLAKE2B 7f51bf0692001694e84cc7a1362afc19a9efe97e2097e3db5707e75874e8da48749ed57775d48dd5d9813639d5b458b0f4455e1b93c198ef2d58ccda451cc153 SHA512 d01fa03103d1e3b4485f43643d7352ebd568a2cf6edf09054b8358d4cda10000f1cab5d9d70cdc11e7bd751764c46a3c0bc23fb7ef89bc0947c5e78b59efab78
+DIST pytest_env-1.5.0.tar.gz.provenance 9521 BLAKE2B a9e47fcacde2971219552cbdcc162965c92a6c3fbb8f66cd92016f4d56857c34124f0a7f27103c94206cde14dddb751fd14549b5197fd0d66671bfd8004a3fcd SHA512 8df34d11ee0cba32de21e947f8033d1fd11b6bd68de82972d24a1def2425cd8fc68571a97988c76e19910613f8945c289fc77efb29a75c3f65f363556940c106
diff --git a/dev-python/pytest-env/pytest-env-1.5.0.ebuild b/dev-python/pytest-env/pytest-env-1.5.0.ebuild
new file mode 100644
index 000000000000..ed99f9deb903
--- /dev/null
+++ b/dev-python/pytest-env/pytest-env-1.5.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/pytest-dev/pytest-env
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="pytest plugin that allows you to add environment variables"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-env/
+ https://pypi.org/project/pytest-env/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/python-dotenv-1.2.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-9.0.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # upstream lower bounds are meaningless
+ sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+}